\usepackage{url}

@book{Koza1992,
 author = {Koza, John R.},
 title = {Genetic Programming: On the Programming of Computers by Means of Natural Selection},
 year = {1992},
 isbn = {0-262-11170-5},
 publisher = {MIT Press},
 address = {Cambridge, MA, USA},
 chapter = 10
}

@article{ISAAC, 
author={G. G. E. Gielen and H. C. C. Walscharts and W. M. C. Sansen}, 
journal={IEEE Journal of Solid-State Circuits}, 
title={ISAAC: a symbolic simulator for analog integrated circuits}, 
year={1989}, 
volume={24}, 
number={6}, 
pages={1587-1597},
ISSN={0018-9200}, 
month={Dec},
}

@inproceedings{pgepaper,
 author = {Worm, Tony and Chiu, Kenneth},
 title = {Prioritized Grammar Enumeration: Symbolic Regression by Dynamic Programming},
 booktitle = {Proceedings of the 15th Annual Conference on Genetic and Evolutionary Computation},
 series = {GECCO '13},
 year = {2013},
 isbn = {978-1-4503-1963-8},
 location = {Amsterdam, The Netherlands},
 pages = {1021--1028},
 numpages = {8},
 url = {http://doi.acm.org/10.1145/2463372.2463486},
 doi = {10.1145/2463372.2463486},
 acmid = {2463486},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {genetic programming, grammar enumeration, representation, symbolic regression},
} 


@Inbook{McConaghy2011,
author="McConaghy, Trent",
title="FFX: Fast, Scalable, Deterministic Symbolic Regression Technology",
bookTitle="Genetic Programming Theory and Practice IX",
year="2011",
publisher="Springer New York",
address="New York, NY",
pages="235--260",
isbn="978-1-4614-1770-5",
doi="10.1007/978-1-4614-1770-5_13",
url="http://dx.doi.org/10.1007/978-1-4614-1770-5_13",
}

@misc{ffxrepo,
  author = "Trent McConaghy and others",
  title = "{FFX}: Fast Function Extraction",
  year = {2011-2015},
  publisher = {GitHub},
  journal = {GitHub repository},
  note = {[Online; accessed 2016-07-03; commit 4b95d7e0ac09894a86ed4f19741f4d33f1ef2ef8]},
}

@misc{pgerepo,
  author = "Tony Worm",
  title = "pypge",
  year = {2015-2016},
  publisher = {GitHub},
  journal = {GitHub repository},
  note = {[Online; accessed 2016-07-03; commit 7f94595735c08e147bd17056f15d944da61eec6d]},
}

@misc{gopgerepo,
  author = "Tony Worm",
  title = "go-pge",
  year = {2013-2014},
  publisher = {GitHub},
  journal = {GitHub repository},
  note = {[Online; accessed 2016-07-03; commit 99a4b600185145bcc047e8e42cecfd2346b6b16d]},
}

@misc{gplearnrepo,
  author = "Trevor Stephens and others",
  title = "Genetic Programming in Python, with a scikit-learn inspired {API}: gplearn",
  year = {2015-2016},
  publisher = {GitHub},
  journal = {GitHub repository},
  note = {[Online; accessed 2016-07-03; commit 1a6c0c747d48370cfae01163dcf0a040ad615bbd]},
}

@misc{scipy,
  author =    {Eric Jones and Travis Oliphant and Pearu Peterson and others},
  title =     {{SciPy}: Open source scientific tools for {Python}},
  year =      {2001--},
  note = {[Online; accessed 2016-07-03]},
}

@InProceedings{gp-benchmarks-2012,
  author = 		 {James McDermott and David R. White and Sean Luke and
                  Luca Manzoni and Mauro Castelli and Leonardo
                  Vanneschi and Wojciech Ja\'skowski and Krzysztof
                  Krawiec and Robin Harper and Kenneth De Jong and
                  Una-May O'Reilly},
  title = 		 {Genetic Programming needs better benchmarks},
  booktitle={Proceedings of the fourteenth international conference on Genetic and evolutionary computation conference},
  pages={791--798},
  year = 	 {2012},
  address = 	 {Philadelphia},
  publisher = {ACM}
}

@Article{Zelinka2005,
  author =       "Ivan Zelinka and Zuzana Oplatkova and Lars Nolle",
  title =        "Analytic programming - Symbolic Regression by means of
                 arbitrary Evolutionary Algorithms",
  journal =      "International Journal of Simulation Systems, Science
                 \& Technology",
  year =         "2005",
  volume =       "6",
  number =       "9",
  pages =        "44--56",
  month =        aug,
  note =         "Special Issue on: Intelligent Systems",
}


%% old stuff 

@conference{   genconf,
  author       = {M. J. Willis et.al.}, 
  title        = {Genetic programming: An introduction and survey of applications},
  booktitle    = {Genetic Algorithms in Engineering Systems: Innovations and Applications},
  year         = 1997,
  pages        = {314-319},
  month        = 9,
  publisher    = {IET},
}

@article{       eureqapaper,
  author       = {Schmidt M., Lipson, H.}, 
  title        = {Distilling Free-Form Natural Laws from Experimental Data},
  journal      = {Science},
  year         = 2009,
  number       = 5923,
  pages        = {81-85},
  month        = 4,
  volume       = 324,
}

@Misc{  eureqasoftware,
  author       = "Schmidt M., Lipson, H.",
  title        = "Eureqa (Version 0.98 beta)[Software]",
  year         = 2014,
}

@article{       SRpaper,
  title         = {Using Symbolic Regression to Infer Strategies from Experimental Data},
  author        = {John Duffy, Jim Engle-Warnick},
  year          = 2002,
  pages         = {61-82},
  journal       = {Studies in Fuzziness and Soft Computing},
  volume        = 100,
  publisher     = {Physica-Verlag HD},
}

@Manual{        NAGintro,
  organization  = {The Numerical Algorithms Group Ltd.},
  title         = {NAG Library Manual},
  edition       = 25,
  year          = 2015,
}

@Manual{        DataMeltManual,
  author        = {S.Chekanov},
  title         = {DataMelt Manual},
  organization  = {DataMelt Project},
  year          = 2011,
}

@Conference{    heurconf,
  author        = "Gabriel Kronberger Stefan Wagner Michael Kommenda,
  Andreas Beham Andreas Scheibenpflug and Michael Affenzeller",
  title         = {Knowledge Discovery through Symbolic Regression with HeuristicLab},
  booktitle     = {European Conference on Machine Learning and Principles and Practice of Knowledge Discovery in Databases},
  month         = 9,
  year          = 2012,
}

@misc{modelgen,
  author = "Wanja Hentze",
  title = "modelgen",
  year = {2016},
  publisher = {GitHub},
  journal = {GitHub repository},
  note = {[Online; accessed 2016-07-03]}
}

%%http://web.eecs.utk.edu/~czhang24/projects/cs528_Project2_Zhang.pdf
